/*
 * Class DYNAMIC_CHAIN [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1948 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1948 [] = {0xFF01,1551,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1948 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1948 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1948 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1948 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1948 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1948 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1948 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1948 [] = {1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1948 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1948 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1948 [] = {0xFF01,1933,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1948 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1948 [] = {0xFF01,1947,878,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1948 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1948[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1948), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1948), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1948), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1948), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1948), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1948), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1948), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1948), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1948), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1948), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1948), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1948), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1948), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1948), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1948), 8889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1948), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1948), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1948), 8882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1948), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1948), 12248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1948), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8888, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1948), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1948), 12246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12419, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12420, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12421, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1948), 11019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1948), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8880, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12260, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1948), 12241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1948), 12242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1948), 12422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1948), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1948), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1948(void)
{
	IDSC(desc_1948, 0, 1947);
	IDSC(desc_1948 + 1, 1, 1947);
	IDSC(desc_1948 + 32, 1134, 1947);
	IDSC(desc_1948 + 41, 1060, 1947);
	IDSC(desc_1948 + 47, 1444, 1947);
	IDSC(desc_1948 + 56, 1570, 1947);
	IDSC(desc_1948 + 59, 1534, 1947);
	IDSC(desc_1948 + 66, 916, 1947);
	IDSC(desc_1948 + 72, 1135, 1947);
	IDSC(desc_1948 + 81, 1088, 1947);
	IDSC(desc_1948 + 83, 1245, 1947);
	IDSC(desc_1948 + 86, 387, 1947);
	IDSC(desc_1948 + 88, 636, 1947);
	IDSC(desc_1948 + 102, 778, 1947);
	IDSC(desc_1948 + 103, 340, 1947);
	IDSC(desc_1948 + 111, 254, 1947);
	IDSC(desc_1948 + 114, 554, 1947);
	IDSC(desc_1948 + 115, 878, 1947);
	IDSC(desc_1948 + 116, 794, 1947);
}


#ifdef __cplusplus
}
#endif
